Skip to main content
PATCH
/
webhooks
/
{id}
Update webhook
curl --request PATCH \
  --url https://app.strix.ai/api/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true,
  "rotate_secret": true
}
'
{
  "webhook": {
    "id": "<string>",
    "url": "<string>",
    "events": [
      "<string>"
    ],
    "secret_prefix": "<string>",
    "is_active": true,
    "last_success_at": "2023-11-07T05:31:56Z",
    "last_failure_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "secret": "<string>"
}

Authorizations

Authorization
string
header
required

API token from Settings > API Access

Path Parameters

id
string
required

Body

application/json
url
string<uri>
events
string[]
is_active
boolean
rotate_secret
boolean

Set to true to rotate the webhook secret

Response

200 - application/json

Webhook updated. New secret included if rotated.

webhook
object
secret
string

New secret if rotate_secret was true